//---------------------------------------------------------------------------

#ifndef CombLoadH
#define CombLoadH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.Grids.hpp>
//---------------------------------------------------------------------------
class TCombLoadForm : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label4;
	TStringGrid *StringGrid_Combin;
	TListBox *ListBox2;
	TSpeedButton *SpeedButtonPasteFromClipboard;
	TSpeedButton *SpeedButton_Add;
	TSpeedButton *SpeedButtonDelete;
	TBitBtn *BitBtn_Apply;
	TBitBtn *BitBtn1;
	void __fastcall StringGrid_CombinSelectCell(TObject *Sender, int ACol, int ARow,
          bool &CanSelect);
	void __fastcall SpeedButton_AddClick(TObject *Sender);
	void __fastcall SpeedButtonDeleteClick(TObject *Sender);
	void __fastcall BitBtn_ApplyClick(TObject *Sender);
	void __fastcall BitBtn1Click(TObject *Sender);
	void __fastcall PutZagr(int n_zagrugh0, int *type_zagr0, int n_comb0, double **Combin, bool flag_comb0);
	void __fastcall GetComb(bool *flag_comb0, int *n_conb0);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall StringGrid_CombinKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall SpeedButtonPasteFromClipboardClick(TObject *Sender);
    void __fastcall PasteExcelDataFromClipboard(TStringGrid* StringGrid);

private:	// User declarations
public:		// User declarations
	__fastcall TCombLoadForm(TComponent* Owner);
    bool flag_comb;
	int CombRow;
	int n_beam;
	int n_combin;
	double **Combin;
	double **CombStr;
	int *type_zagr;  // тип загружения
};
//---------------------------------------------------------------------------
extern PACKAGE TCombLoadForm *CombLoadForm;
//---------------------------------------------------------------------------
#endif
